pkgsrc-Users archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: Firefox 7 from HEAD

On Fri, Oct 21, 2011 at 10:59:21AM -0400, Greg Troxel wrote:
> It looks like this is an upstream bug, not a pkgsrc bug.  I would
> suggest you report it there except I don't expect that will  be useful.

4.0 and newer firefox are basically a lost cause on anything but x86 and maybe
arm. Powerpc might be fixable, but they broke a lot other architectures
in a way that seems to be infixable by integrating the new JS engine stuff
during 4.0 beta phase (!). Of course there is no knowledge, documentation,
or help available from upstream, in case you would want to fix it yourself.

Now for the bug at hand: it is a configure bug, it tries to use a JIT
compiler on an architecture where it shouldn't - there is a
corresponding command line argument to override the magic (but I don't
recall the name).

(stuck to 3.x on sparc64)

Home | Main Index | Thread Index | Old Index